Skip to main content
cancel
Showing results for 
Search instead for 
Did you mean: 

Get Fabric Certified for FREE during AI Skills Fest. This week only. Secure your voucher now.

Reply
tomas12344
Helper III
Helper III

Enhanced REST API table partition stopped working

Hi All

Wanted to test some REST API refreshes - refresh only one table partition. After some testing, my steps worked. But after the weekend, everytime I send the command, each time it is refeshed as whole table, not only one partition.

Here the commands I use:

$uri='https://api.powerbi.com/v1.0/myorg/groups/ /datasets//refreshes'

$body=@"

 {

   "refresh": {

     "type": "full",

     "objects": [

       {

         "database": "FI Report - Betriebskosten v30 Custom partition 2",

         "table": "FI-GL T CH MIS - PBI Extrakt",

         "partition": "Get-Data0"

       }

     ]

   }

 }

 "@

 

Invoke-PowerBIRestMethod -Method POST -URL $uri -Body $body -ContentType Application/JSON.

 

Any idea, why it could be not working anymore? Is there any limitation, or could some admin (of PBI or network) restrict this?

Thanks for any advice.

 

1 ACCEPTED SOLUTION

Thank you for the answer. THe refresh policy otion is not working, when added.
The body part should be correct, i make a copy from SSMS (from the XMLA script).

Most interesting is, that the commands worked, and after weekend, it stoped. There is no error returned (have modified the body so that i get error and then corrected).
WS is premium.

View solution in original post

2 REPLIES 2
Anonymous
Not applicable

Hi @tomas12344 ,

You can refer the following links to refresh partition by REST API:

Datasets - Refresh Dataset - REST API (Power BI Power BI REST APIs) | Microsoft Learn

{
  "type": "full",
  "commitMode": "transactional",
  "objects": [
    {
      "table": "Customer",
      "partition": "Robert"
    }
  ],
  "applyRefreshPolicy": "false"
}

how to refresh individual tables or partitions in power bi datasets with data factory. (tackytech.bl...

Using the Power BI Async REST API to refresh a partition with Power Automate (Using an HTTPS URL)

 

There could be a few reasons why the Power BI REST API is not refreshing a specific partition of a table. One possibility is that the table does not have an incremental refresh policy. For tables with no incremental refresh policy, that one partition contains all rows of data for that table, unless filters have been applied.

Advanced incremental refresh and real-time data with the XMLA endpoint in Power BI - Power BI | Micr...

Another possibility is that the request payload for the POST /refreshes method is not set correctly. An enhanced refresh is triggered only if a request payload other than notifyOption is set. For enhanced refresh, notifyOption is not required and must be excluded from the request body. However, one or more parameters other than notifyOption are required.

Datasets - Refresh Dataset - REST API (Power BI Power BI REST APIs) | Microsoft Learn

vyiruanmsft_0-1688017751992.png

Best Regards

Thank you for the answer. THe refresh policy otion is not working, when added.
The body part should be correct, i make a copy from SSMS (from the XMLA script).

Most interesting is, that the commands worked, and after weekend, it stoped. There is no error returned (have modified the body so that i get error and then corrected).
WS is premium.

Helpful resources

Announcements
May Power BI Update Carousel

Power BI Monthly Update - May 2026

Check out the May 2026 Power BI update to learn about new features.

Fabric SQL PBI Data Days

Data Days 2026 coming soon!

Sign up to receive a private message when registration opens and key events begin.

New to Fabric survey Carousel

New to Fabric Survey

If you have recently started exploring Fabric, we'd love to hear how it's going. Your feedback can help with product improvements.

Power BI DataViz World Championships carousel

Power BI DataViz World Championships - June 2026

A new Power BI DataViz World Championship is coming this June! Don't miss out on submitting your entry.

Top Kudoed Authors